Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4550)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
@@ -4899,19 +4885,21 @@
 
     LOGICAL ::  ready                                !< Rc has been set:
-    !< = 1 -> constant Rc
-    !< = 2 -> temperature dependent Rc
+                                                     !< = 1 -> constant Rc
+                                                     !< = 2 -> temperature dependent Rc
 !
 !-- Vegetation indicators:
     LOGICAL ::  lai_present                          !< leaves are present for current land use type
-    LOGICAL ::  sai_present                          !< vegetation is present for current land use type
-
+    LOGICAL ::  sai_present                          !< vegetation is present for current land use
+                                                     !< type
+
+    REAL(wp) ::  csoil                               !< soil compensation point (ug/m3)
+    REAL(wp) ::  cstom                               !< stomatal compensation point (ug/m3)
+    REAL(wp) ::  cw                                  !< external leaf surface compensation point
+                                                     !< (ug/m3)
+    REAL(wp) ::  gc_tot                              !< total canopy conductance (m/s)
+    REAL(wp) ::  gsoil_eff                           !< effective soil conductance (m/s)
+    REAL(wp) ::  gstom                               !< stomatal conductance (m/s)
+    REAL(wp) ::  gw                                  !< external leaf conductance (m/s)
 !    REAL(wp) ::  laimax                              !< maximum leaf area index (-)
-    REAL(wp) ::  gw                                  !< external leaf conductance (m/s)
-    REAL(wp) ::  gstom                               !< stomatal conductance (m/s)
-    REAL(wp) ::  gsoil_eff                           !< effective soil conductance (m/s)
-    REAL(wp) ::  gc_tot                              !< total canopy conductance (m/s)
-    REAL(wp) ::  cw                                  !< external leaf surface compensation point (ug/m3)
-    REAL(wp) ::  cstom                               !< stomatal compensation point (ug/m3)
-    REAL(wp) ::  csoil                               !< soil compensation point (ug/m3)
 !
 !-- Next statement is just to avoid compiler warning about unused variable
@@ -4931,5 +4919,5 @@
 
     CASE ( 'NO', 'no' )
-       icmp = icmp_no 
+       icmp = icmp_no
 
     CASE ( 'NH3', 'nh3' )
@@ -4979,8 +4967,9 @@
 !
 !--    External conductance:
-       CALL rc_gw( compnam, iratns, t, rh, nwet, sai_present, sai,gw )         
+       CALL rc_gw( compnam, iratns, t, rh, nwet, sai_present, sai,gw )
 !
 !--    Stomatal conductance:
-       CALL rc_gstom( icmp, compnam, lu, lai_present, lai, solar_rad, sinphi, t, rh, diffusivity, gstom, p )
+       CALL rc_gstom( icmp, compnam, lu, lai_present, lai, solar_rad, sinphi, t, rh, diffusivity,  &
+                      gstom, p )
 !
 !--    Effective soil conductance:
@@ -5000,13 +4989,14 @@
 !
 !--    Effective Rc based on compensation points:
-!--        IF ( present(rc_eff) ) then
+!--        IF ( PRESENT( rc_eff ) )  THEN
 !--          check on required arguments:
-!--           IF ( (.not. present(conc_ijk_ugm3)) .OR. (.not. present(ra)) .OR. (.not. present(rb)) ) then
-!--              stop 'output argument rc_eff requires input arguments conc_ijk_ugm3, ra and rb'
-!--           END IF
-!
-!--       Compute rc_eff :
-       !      CALL rc_comp_point_rc_eff(ccomp_tot,conc_ijk_ugm3,ra,rb,rc_tot,rc_eff)
-       !   ENDIF
+!--           IF ( ( .NOT. PRESENT( conc_ijk_ugm3 ) )  .OR.  ( .NOT. PRESENT( ra ) )  .OR.         &
+!--                ( .NOT. PRESENT( rb ) ) )  THEN
+!--              STOP 'output argument rc_eff requires input arguments conc_ijk_ugm3, ra and rb'
+!--           ENDIF
+!
+!--           Compute rc_eff :
+!--           CALL rc_comp_point_rc_eff(ccomp_tot,conc_ijk_ugm3,ra,rb,rc_tot,rc_eff)
+!--        ENDIF
     ENDIF
 
@@ -5014,25 +5004,26 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine to compute total canopy resistance in special cases
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rc_special( icmp, compnam, lu, t, nwet, rc_tot, ready, ccomp_tot )
 
-   
+
     CHARACTER(LEN=*), INTENT(IN)  ::  compnam     !< component name
 
-    INTEGER(iwp), INTENT(IN)  ::  icmp            !< component index      
+    INTEGER(iwp), INTENT(IN)  ::  icmp            !< component index
     INTEGER(iwp), INTENT(IN)  ::  lu              !< land use type, lu = 1,...,nlu
     INTEGER(iwp), INTENT(IN)  ::  nwet            !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
 
-    REAL(wp), INTENT(IN)  ::  t                   !< temperature (C)
-
-    REAL(wp), INTENT(OUT) ::  rc_tot             !< total canopy resistance Rc (s/m)
-    REAL(wp), INTENT(OUT) ::  ccomp_tot          !< total compensation point (ug/m3)
-
     LOGICAL, INTENT(OUT) ::  ready               !< Rc has been set
                                                  !< = 1 -> constant Rc
+
+    REAL(wp), INTENT(IN)  ::  t                   !< temperature (C)
+
+    REAL(wp), INTENT(OUT) ::  ccomp_tot          !< total compensation point (ug/m3)
+    REAL(wp), INTENT(OUT) ::  rc_tot             !< total canopy resistance Rc (s/m)
+
 !
 !-- Next line is to avoid compiler warning about unused variable
@@ -5055,5 +5046,5 @@
        ELSE
 !
-!--       all other circumstances:
+!--       All other circumstances:
           rc_tot = 10.0_wp
        ENDIF
@@ -5085,9 +5076,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine to compute external conductance
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rc_gw( compnam, iratns, t, rh, nwet, sai_present, sai, gw )
 
@@ -5095,15 +5086,16 @@
 !-- Input/output variables:
     CHARACTER(LEN=*), INTENT(IN) ::  compnam      !< component name
-
-    INTEGER(iwp), INTENT(IN) ::  nwet             !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
     INTEGER(iwp), INTENT(IN) ::  iratns           !< index for NH3/SO2 ratio;
                                                   !< iratns = 1: low NH3/SO2
                                                   !< iratns = 2: high NH3/SO2
                                                   !< iratns = 3: very low NH3/SO2
+
+    INTEGER(iwp), INTENT(IN) ::  nwet             !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
+
     LOGICAL, INTENT(IN) ::  sai_present
 
-    REAL(wp), INTENT(IN) ::  t                    !< temperature (C)
     REAL(wp), INTENT(IN) ::  rh                   !< relative humidity (%)
     REAL(wp), INTENT(IN) ::  sai                  !< one-sided leaf area index (-)
+    REAL(wp), INTENT(IN) ::  t                    !< temperature (C)
 
     REAL(wp), INTENT(OUT) ::  gw                  !< external leaf conductance (m/s)
@@ -5126,5 +5118,5 @@
        CALL rw_nh3_sutton( t, rh, sai_present, gw )
 !
-!--    conversion from leaf resistance to canopy resistance by multiplying with sai:
+!--    Conversion from leaf resistance to canopy resistance by multiplying with sai:
        gw = sai * gw
 
@@ -5137,22 +5129,23 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine to compute external leaf conductance for SO2
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rw_so2( t, nwet, rh, iratns, sai_present, gw )
 
 !
 !-- Input/output variables:
-    INTEGER(iwp), INTENT(IN) ::  nwet        !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
     INTEGER(iwp), INTENT(IN) ::  iratns      !< index for NH3/SO2 ratio:
                                              !< iratns = 1: low NH3/SO2
                                              !< iratns = 2: high NH3/SO2
                                              !< iratns = 3: very low NH3/SO2
+    INTEGER(iwp), INTENT(IN) ::  nwet        !< wetness indicator; nwet=0 -> dry; nwet=1 -> wet; nwet=9 -> snow
+
     LOGICAL, INTENT(IN) ::  sai_present
 
+    REAL(wp), INTENT(IN) ::  rh              !< relative humidity (%)
     REAL(wp), INTENT(IN) ::  t               !< temperature (C)
-    REAL(wp), INTENT(IN) ::  rh              !< relative humidity (%)   
 
     REAL(wp), INTENT(OUT) ::  gw             !< external leaf conductance (m/s)
@@ -5172,7 +5165,7 @@
           IF ( t > -1.0_wp )  THEN
              IF ( rh < 81.3_wp )  THEN
-                rw = 25000.0_wp * exp( -0.0693_wp * rh )
+                rw = 25000.0_wp * EXP( -0.0693_wp * rh )
              ELSE
-                rw = 0.58e12 * exp( -0.278_wp * rh ) + 10.0_wp
+                rw = 0.58e12 * EXP( -0.278_wp * rh ) + 10.0_wp
              ENDIF
           ELSE
@@ -5193,5 +5186,5 @@
        ENDIF
 !
-!--    very low NH3/SO2 ratio:
+!--    Very low NH3/SO2 ratio:
        IF ( iratns == iratns_very_low ) rw = rw + 50.0_wp
 !
@@ -5200,5 +5193,5 @@
     ELSE
 !
-!--      no vegetation:
+!--      No vegetation:
        gw = 0.0_wp
     ENDIF
@@ -5207,10 +5200,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine to compute external leaf conductance for NH3,
-!>                  following Sutton & Fowler, 1993
-!------------------------------------------------------------------------------!
+!> Subroutine to compute external leaf conductance for NH3, following Sutton & Fowler, 1993
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rw_nh3_sutton( tsurf, rh,sai_present, gw )
 
@@ -5219,6 +5211,6 @@
     LOGICAL, INTENT(IN) ::  sai_present
 
+    REAL(wp), INTENT(IN) ::  rh             !< relative humidity (%)
     REAL(wp), INTENT(IN) ::  tsurf          !< surface temperature (C)
-    REAL(wp), INTENT(IN) ::  rh             !< relative humidity (%)
 
     REAL(wp), INTENT(OUT) ::  gw            !< external leaf conductance (m/s)
@@ -5239,5 +5231,5 @@
 !
 !--    External resistance according to Sutton & Fowler, 1993
-       rw = 2.0_wp * exp( ( 100.0_wp - rh ) / 12.0_wp )
+       rw = 2.0_wp * EXP( ( 100.0_wp - rh ) / 12.0_wp )
        rw = sai_grass_haarweg * rw
 !
@@ -5255,9 +5247,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine to compute external leaf conductance 
-!------------------------------------------------------------------------------!
+!> Subroutine to compute external leaf conductance
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rw_constant( rw_val, sai_present, gw )
 
@@ -5266,10 +5258,10 @@
     LOGICAL, INTENT(IN) ::  sai_present
 
-    REAL(wp), INTENT(IN) ::  rw_val       !< constant value of Rw    
+    REAL(wp), INTENT(IN) ::  rw_val       !< constant value of Rw
 
     REAL(wp), INTENT(OUT) ::  gw          !< wernal leaf conductance (m/s)
 !
 !-- Compute conductance:
-    IF ( sai_present .AND. .NOT.missing(rw_val) )  THEN
+    IF ( sai_present  .AND.  .NOT. missing(rw_val) )  THEN
        gw = 1.0_wp / rw_val
     ELSE
@@ -5280,10 +5272,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine to compute stomatal conductance 
-!------------------------------------------------------------------------------!
- SUBROUTINE rc_gstom( icmp, compnam, lu, lai_present, lai, solar_rad, sinphi, t, rh, diffusivity, gstom, p ) 
+!> Subroutine to compute stomatal conductance
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE rc_gstom( icmp, compnam, lu, lai_present, lai, solar_rad, sinphi, t, rh, diffusivity,  &
+                      gstom, p )
 
 !
@@ -5296,10 +5289,10 @@
     LOGICAL, INTENT(IN) ::  lai_present
 
+    REAL(wp), INTENT(IN) ::  diffusivity           !< diffusion coefficient of the gas involved
     REAL(wp), INTENT(IN) ::  lai                   !< one-sided leaf area index
+    REAL(wp), INTENT(IN) ::  rh                    !< relative humidity (%)
+    REAL(wp), INTENT(IN) ::  sinphi                !< sin of solar elevation angle
     REAL(wp), INTENT(IN) ::  solar_rad             !< solar radiation, dirict+diffuse (W/m2)
-    REAL(wp), INTENT(IN) ::  sinphi                !< sin of solar elevation angle
     REAL(wp), INTENT(IN) ::  t                     !< temperature (C)
-    REAL(wp), INTENT(IN) ::  rh                    !< relative humidity (%)
-    REAL(wp), INTENT(IN) ::  diffusivity           !< diffusion coefficient of the gas involved
 
     REAL(wp), OPTIONAL,INTENT(IN) :: p             !< pressure (Pa)
@@ -5324,5 +5317,5 @@
     CASE( 'NO2', 'O3', 'SO2', 'NH3' )
 !
-!--    if vegetation present:
+!--    If vegetation present:
        IF ( lai_present )  THEN
 
@@ -5330,5 +5323,5 @@
              CALL rc_get_vpd( t, rh, vpd )
              CALL rc_gstom_emb( lu, solar_rad, t, vpd, lai_present, lai, sinphi, gstom, p )
-             gstom = gstom * diffusivity / dO3       !< Gstom of Emberson is derived for ozone 
+             gstom = gstom * diffusivity / dO3       !< Gstom of Emberson is derived for ozone
           ELSE
              gstom = 0.0_wp
@@ -5336,5 +5329,5 @@
        ELSE
 !
-!--       no vegetation; zero conductance (infinite resistance):
+!--       No vegetation; zero conductance (infinite resistance):
           gstom = 0.0_wp
        ENDIF
@@ -5348,9 +5341,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine to compute stomatal conductance according to Emberson
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rc_gstom_emb( lu, solar_rad, T, vpd, lai_present, lai, sinp, Gsto, p )
 !
@@ -5360,6 +5353,5 @@
 !>     Updated and extended.
 !>   2009-09, Arjo Segers, TNO
-!>     Limitted temperature influence to range to avoid
-!>     floating point exceptions.
+!>     Limitted temperature influence to range to avoid floating point exceptions.
 
 !> Method
@@ -5391,10 +5383,10 @@
     LOGICAL, INTENT(IN) ::  lai_present
 
+    REAL(wp), INTENT(IN) ::  lai                !< one-sided leaf area index
+    REAL(wp), INTENT(IN) ::  sinp               !< sin of solar elevation angle
     REAL(wp), INTENT(IN) ::  solar_rad          !< solar radiation, dirict+diffuse (W/m2)
     REAL(wp), INTENT(IN) ::  t                  !< temperature (C)
     REAL(wp), INTENT(IN) ::  vpd                !< vapour pressure deficit (kPa)
 
-    REAL(wp), INTENT(IN) ::  lai                !< one-sided leaf area index
-    REAL(wp), INTENT(IN) ::  sinp               !< sin of solar elevation angle
 
     REAL(wp), OPTIONAL, INTENT(IN) ::  p        !< pressure (Pa)
@@ -5403,19 +5395,20 @@
 !
 !-- Local variables:
+    REAL(wp) ::  bt
+    REAL(wp) ::  f_env
     REAL(wp) ::  f_light
     REAL(wp) ::  f_phen
     REAL(wp) ::  f_temp
+    REAL(wp) ::  f_swp
     REAL(wp) ::  f_vpd
-    REAL(wp) ::  f_swp
-    REAL(wp) ::  bt
-    REAL(wp) ::  f_env
+    REAL(wp) ::  laishade
+    REAL(wp) ::  laisun
+    REAL(wp) ::  pardiff
     REAL(wp) ::  pardir
-    REAL(wp) ::  pardiff
     REAL(wp) ::  parshade
     REAL(wp) ::  parsun
-    REAL(wp) ::  laisun
-    REAL(wp) ::  laishade
+    REAL(wp) ::  pres
     REAL(wp) ::  sinphi
-    REAL(wp) ::  pres
+
     REAL(wp), PARAMETER ::  p_sealevel = 1.01325e05    !< Pa
 !
@@ -5423,6 +5416,6 @@
     IF ( lai_present )  THEN
 
-       ! calculation of correction factors for stomatal conductance
-       IF ( sinp <= 0.0_wp )  THEN  
+       ! Calculation of correction factors for stomatal conductance
+       IF ( sinp <= 0.0_wp )  THEN
           sinphi = 0.0001_wp
        ELSE
@@ -5430,32 +5423,33 @@
        END IF
 !
-!--    ratio between actual and sea-level pressure is used
-!--    to correct for height in the computation of par;
-!--    should not exceed sea-level pressure therefore ...
-       IF (  present(p) )  THEN
-          pres = min( p, p_sealevel )
-       ELSE 
+!--    Ratio between actual and sea-level pressure is used to correct for height in the computation
+!--    of par; should not exceed sea-level pressure therefore ...
+       IF (  PRESENT( p ) )  THEN
+          pres = MIN( p, p_sealevel )
+       ELSE
           pres = p_sealevel
        ENDIF
 !
-!--    direct and diffuse par, Photoactive (=visible) radiation:
+!--    Direct and diffuse par, Photoactive (=visible) radiation:
        CALL par_dir_diff( solar_rad, sinphi, pres, p_sealevel, pardir, pardiff )
 !
-!--    par for shaded leaves (canopy averaged):
-       parshade = pardiff * exp( -0.5 * lai**0.7 ) + 0.07 * pardir * ( 1.1 - 0.1 * lai ) * exp( -sinphi )     !< Norman,1982
-       IF ( solar_rad > 200.0_wp .AND. lai > 2.5_wp )  THEN
-          parshade = pardiff * exp( -0.5 * lai**0.8 ) + 0.07 * pardir * ( 1.1 - 0.1 * lai ) * exp( -sinphi )  !< Zhang et al., 2001
+!--    Par for shaded leaves (canopy averaged):
+       parshade = pardiff * EXP( -0.5 * lai**0.7 ) + 0.07 * pardir * ( 1.1 - 0.1 * lai ) *         &
+                  EXP( -sinphi )     !< Norman,1982
+       IF ( solar_rad > 200.0_wp  .AND.  lai > 2.5_wp )  THEN
+          parshade = pardiff * EXP( -0.5 * lai**0.8 ) + 0.07 * pardir * ( 1.1 - 0.1 * lai ) *      &
+                     EXP( -sinphi )  !< Zhang et al., 2001
        END IF
 !
-!--    par for sunlit leaves (canopy averaged):
+!--    Par for sunlit leaves (canopy averaged):
 !--    alpha -> mean angle between leaves and the sun is fixed at 60 deg -> i.e. cos alpha = 0.5
        parsun = pardir * 0.5/sinphi + parshade             !< Norman, 1982
-       IF ( solar_rad > 200.0_wp .AND. lai > 2.5_wp )  THEN
+       IF ( solar_rad > 200.0_wp  .AND.  lai > 2.5_wp )  THEN
           parsun = pardir**0.8 * 0.5 / sinphi + parshade   !< Zhang et al., 2001
        END IF
 !
-!--    leaf area index for sunlit and shaded leaves:
+!--    Leaf area index for sunlit and shaded leaves:
        IF ( sinphi > 0 )  THEN
-          laisun = 2 * sinphi * ( 1 - exp( -0.5 * lai / sinphi ) )
+          laisun = 2 * sinphi * ( 1 - EXP( -0.5 * lai / sinphi ) )
           laishade = lai - laisun
        ELSE
@@ -5464,13 +5458,14 @@
        END IF
 
-       f_light = ( laisun * ( 1 - exp( -1.0_wp * alpha(lu) * parsun ) ) + &
-            laishade * ( 1 - exp( -1.0_wp * alpha(lu) * parshade ) ) ) / lai 
+       f_light = ( laisun * ( 1 - EXP( -1.0_wp * alpha(lu) * parsun ) ) +                          &
+                   laishade * ( 1 - EXP( -1.0_wp * alpha(lu) * parshade ) ) ) / lai
 
        f_light = MAX(f_light,f_min(lu))
 !
-!--    temperature influence; only non-zero within range [tmin,tmax]:
-       IF ( ( tmin(lu) < t ) .AND. ( t < tmax(lu) ) )  THEN
+!--    Temperature influence; only non-zero within range [tmin,tmax]:
+       IF ( ( tmin(lu) < t )  .AND.  ( t < tmax(lu) ) )  THEN
           bt = ( tmax(lu) - topt(lu) ) / ( topt(lu) - tmin(lu) )
-          f_temp = ( ( t - tmin(lu) ) / ( topt(lu) - tmin(lu) ) ) * ( ( tmax(lu) - t ) / ( tmax(lu) - topt(lu) ) )**bt
+          f_temp = ( ( t - tmin(lu) ) / ( topt(lu) - tmin(lu) ) ) *                                &
+                   ( ( tmax(lu) - t ) / ( tmax(lu) - topt(lu) ) )**bt
        ELSE
           f_temp = 0.0_wp
@@ -5478,22 +5473,24 @@
        f_temp = MAX( f_temp, f_min(lu) )
 !
-!--      vapour pressure deficit influence
-       f_vpd = MIN( 1.0_wp, ( ( 1.0_wp - f_min(lu) ) * ( vpd_min(lu) - vpd ) / ( vpd_min(lu) - vpd_max(lu) ) + f_min(lu) ) )
+!--    Vapour pressure deficit influence
+       f_vpd = MIN( 1.0_wp, ( ( 1.0_wp - f_min(lu) ) * ( vpd_min(lu) - vpd ) /                     &
+                              ( vpd_min(lu) - vpd_max(lu) ) + f_min(lu) ) )
        f_vpd = MAX( f_vpd, f_min(lu) )
 
        f_swp = 1.0_wp
 !
-!--      influence of phenology on stom. conductance
-!--      ignored for now in DEPAC since influence of f_phen on lu classes in use is negligible.
-!--      When other EMEP classes (e.g. med. broadleaf) are used f_phen might be too important to ignore
+!--    Influence of phenology on stom. conductance
+!--    Ignored for now in DEPAC since influence of f_phen on lu classes in use is negligible.
+!--    When other EMEP classes (e.g. med. broadleaf) are used f_phen might be too important to
+!--    ignore.
        f_phen = 1.0_wp
 !
-!--      evaluate total stomatal conductance
+!--    Evaluate total stomatal conductance
        f_env = f_temp * f_vpd * f_swp
        f_env = MAX( f_env,f_min(lu) )
        gsto = g_max(lu) * f_light * f_phen * f_env
 !
-!--      gstom expressed per m2 leafarea;
-!--      this is converted with lai to m2 surface.
+!--    gstom expressed per m2 leafarea;
+!--    This is converted with lai to m2 surface.
        gsto = lai * gsto    ! in m/s
 
@@ -5505,9 +5502,8 @@
 
 
- !-------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
  !> par_dir_diff
- !>     Weiss, A., Norman, J.M. (1985) Partitioning solar radiation into direct and
- !>     diffuse, visible and near-infrared components. Agric. Forest Meteorol.
- !>     34, 205-213.
+ !>     Weiss, A., Norman, J.M. (1985) Partitioning solar radiation into direct and diffuse, visible
+ !>     and near-infrared components. Agric. Forest Meteorol. 34, 205-213.
  !>     From a SUBROUTINE obtained from Leiming Zhang,
  !>     Meteorological Service of Canada
@@ -5515,22 +5511,24 @@
  !>     Willem Asman set it to global radiation (here defined as solar radiation, dirict+diffuse)
  !>
- !>     @todo Check/connect/replace with radiation_model_mod variables    
- !-------------------------------------------------------------------
+ !>     @todo Check/connect/replace with radiation_model_mod variables
+ !-------------------------------------------------------------------------------------------------!
  SUBROUTINE par_dir_diff( solar_rad, sinphi, pres, pres_0, par_dir, par_diff )
 
 
-    REAL(wp), INTENT(IN) ::  solar_rad       !< solar radiation, dirict+diffuse (W m-2)
-    REAL(wp), INTENT(IN) ::  sinphi          !< sine of the solar elevation
     REAL(wp), INTENT(IN) ::  pres            !< actual pressure (to correct for height) (Pa)
     REAL(wp), INTENT(IN) ::  pres_0          !< pressure at sea level (Pa)
-
-    REAL(wp), INTENT(OUT) ::  par_dir        !< par direct : visible (photoactive) direct beam radiation (W m-2)
-    REAL(wp), INTENT(OUT) ::  par_diff       !< par diffuse: visible (photoactive) diffuse radiation (W m-2)
-
-
-    REAL(wp) ::  sv                          !< total visible radiation
+    REAL(wp), INTENT(IN) ::  sinphi          !< sine of the solar elevation
+    REAL(wp), INTENT(IN) ::  solar_rad       !< solar radiation, dirict+diffuse (W m-2)
+
+    REAL(wp), INTENT(OUT) ::  par_diff       !< par diffuse: visible (photoactive) diffuse radiation
+                                             !< (W m-2)
+    REAL(wp), INTENT(OUT) ::  par_dir        !< par direct : visible (photoactive) direct beam
+                                             !< radiation (W m-2)
+
     REAL(wp) ::  fv                          !< par direct beam fraction (dimensionless)
-    REAL(wp) ::  ratio                       !< ratio measured to potential solar radiation (dimensionless)
-    REAL(wp) ::  rdm                         !< potential direct beam near-infrared radiation (W m-2); "potential" means clear-sky
+    REAL(wp) ::  ratio                       !< ratio measured to potential solar radiation
+                                             !< (dimensionless)
+    REAL(wp) ::  rdm                         !< potential direct beam near-infrared radiation
+                                             !< (W m-2); "potential" means clear-sky
     REAL(wp) ::  rdn                         !< potential diffuse near-infrared radiation (W m-2)
     REAL(wp) ::  rdu                         !< visible (par) direct beam radiation (W m-2)
@@ -5538,11 +5536,13 @@
     REAL(wp) ::  rn                          !< near-infrared radiation (W m-2)
     REAL(wp) ::  rv                          !< visible radiation (W m-2)
-    REAL(wp) ::  ww                          !< water absorption in the near infrared for 10 mm of precipitable water
+    REAL(wp) ::  sv                          !< total visible radiation
+    REAL(wp) ::  ww                          !< water absorption in the near infrared for 10 mm of
+                                             !< precipitable water
 
 !
 !-- Calculate visible (PAR) direct beam radiation
-!-- 600 W m-2 represents average amount of par (400-700 nm wavelength)
-!-- at the top of the atmosphere; this is roughly 0.45*solar constant (solar constant=1320 Wm-2)
-    rdu = 600.0_wp* exp( -0.185_wp * ( pres / pres_0 ) / sinphi ) * sinphi
+!-- 600 W m-2 represents average amount of par (400-700 nm wavelength) at the top of the atmosphere;
+!-- this is roughly 0.45*solar constant (solar constant=1320 Wm-2)
+    rdu = 600.0_wp* EXP( -0.185_wp * ( pres / pres_0 ) / sinphi ) * sinphi
 !
 !-- Calculate potential visible diffuse radiation
@@ -5550,8 +5550,10 @@
 !
 !-- Calculate the water absorption in the-near infrared
-    ww = 1320 * 10**( -1.195_wp + 0.4459_wp * log10( 1.0_wp / sinphi ) - 0.0345_wp * ( log10( 1.0_wp / sinphi ) )**2 )
+    ww = 1320 * 10**( -1.195_wp + 0.4459_wp * LOG10( 1.0_wp / sinphi ) - 0.0345_wp *               &
+                      ( LOG10( 1.0_wp / sinphi ) )**2 )
 !
 !-- Calculate potential direct beam near-infrared radiation
-    rdm = (720.0_wp * exp(-0.06_wp * (pres / pres_0) / sinphi ) - ww ) * sinphi     !< 720 = solar constant - 600
+    rdm = ( 720.0_wp * EXP( -0.06_wp * ( pres / pres_0) / sinphi ) - ww ) * sinphi  !< 720 = solar
+                                                                                    !< constant - 600
 !
 !-- Calculate potential diffuse near-infrared radiation
@@ -5563,5 +5565,5 @@
 !
 !-- Compute ratio between input global radiation (here defined as solar radiation, dirict+diffuse)
-!-- and total radiation computed here
+!-- and total radiation computed here.
     ratio = MIN( 0.89_wp, solar_rad / ( rv + rn ) )
 !
@@ -5571,5 +5573,6 @@
 !-- Calculate fraction of par in the direct beam
     fv = MIN( 0.99_wp, ( 0.9_wp - ratio ) / 0.7_wp )              !< help variable
-    fv = MAX( 0.01_wp, rdu / rv * ( 1.0_wp - fv**0.6667_wp ) )    !< fraction of par in the direct beam
+    fv = MAX( 0.01_wp, rdu / rv * ( 1.0_wp - fv**0.6667_wp ) )    !< fraction of par in the direct
+                                                                  !< beam
 !
 !-- Compute direct and diffuse parts of par
@@ -5579,14 +5582,14 @@
  END SUBROUTINE par_dir_diff
 
- 
- !-------------------------------------------------------------------
- !> rc_get_vpd: get vapour pressure deficit (kPa)
- !-------------------------------------------------------------------
+
+!--------------------------------------------------------------------------------------------------!
+!> rc_get_vpd: get vapour pressure deficit (kPa)
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rc_get_vpd( temp, rh, vpd )
 
 !
 !-- Input/output variables:
+    REAL(wp), INTENT(IN) ::  rh    !< relative humidity (%)
     REAL(wp), INTENT(IN) ::  temp    !< temperature (C)
-    REAL(wp), INTENT(IN) ::  rh    !< relative humidity (%)
 
     REAL(wp), INTENT(OUT) ::  vpd    !< vapour pressure deficit (kPa)
@@ -5595,5 +5598,5 @@
     REAL(wp) ::  esat
 !
-!-- fit parameters:
+!-- Fit parameters:
     REAL(wp), PARAMETER ::  a1 = 6.113718e-01
     REAL(wp), PARAMETER ::  a2 = 4.43839e-02
@@ -5603,5 +5606,5 @@
     REAL(wp), PARAMETER ::  a6 = 3.0e-09
 !
-!-- esat is saturation vapour pressure (kPa) at temp(C) following Monteith(1973)
+!-- esat is saturation vapour pressure (kPa) at temp(C) following Monteith (1973)
     esat = a1 + a2 * temp + a3 * temp**2 + a4 * temp**3 + a5 * temp**4 + a6 * temp**5
     vpd  = esat * ( 1 - rh / 100 )
@@ -5610,7 +5613,7 @@
 
 
- !-------------------------------------------------------------------
- !> rc_gsoil_eff: compute effective soil conductance
- !-------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
+!> rc_gsoil_eff: compute effective soil conductance
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rc_gsoil_eff( icmp, lu, sai, ust, nwet, t, gsoil_eff )
 
@@ -5618,12 +5621,14 @@
 !-- Input/output variables:
     INTEGER(iwp), INTENT(IN) ::  icmp          !< component index
-    INTEGER(iwp), INTENT(IN) ::  lu            !< land use type, lu = 1,..., nlu
     INTEGER(iwp), INTENT(IN) ::  nwet          !< index for wetness
                                                !< nwet = 0 -> dry; nwet = 1 -> wet; nwet = 9 -> snow
                                                !< N.B. this routine cannot be called with nwet = 9,
                                                !< nwet = 9 should be handled outside this routine.
+    INTEGER(iwp), INTENT(IN) ::  lu            !< land use type, lu = 1,..., nlu
+
     REAL(wp), INTENT(IN) ::  sai               !< surface area index
+    REAL(wp), INTENT(IN) ::  t                 !< temperature (C)
     REAL(wp), INTENT(IN) ::  ust               !< friction velocity (m/s)
-    REAL(wp), INTENT(IN) ::  t                 !< temperature (C)
+
     REAL(wp), INTENT(OUT) ::  gsoil_eff        !< effective soil conductance (m/s)
 !
@@ -5634,5 +5639,5 @@
 !-- Soil resistance (numbers matched with lu_classes and component numbers)
     !     grs    ara    crp    cnf    dec    wat    urb   oth    des    ice    sav    trf    wai    med    sem
-    REAL(wp), PARAMETER ::  rsoil(nlu_dep,ncmp) = reshape( (/ &
+    REAL(wp), PARAMETER ::  rsoil(nlu_dep,ncmp) = RESHAPE( (/                                      &
          1000.,  200.,  200.,  200.,  200., 2000.,  400., 1000., 2000., 2000., 1000.,  200., 2000.,  200.,  400., &    !< O3
          1000., 1000., 1000., 1000., 1000.,   10., 1000., 1000., 1000.,  500., 1000., 1000.,   10., 1000., 1000., &    !< SO2
